use std::{
	net::SocketAddr,
};

use tokio::sync::oneshot;

#[tokio::main]
async fn main () -> anyhow::Result <()> {
	tracing_subscriber::fmt::init ();
	let addr = SocketAddr::from(([0, 0, 0, 0], 11509));
	let (_stop_proxy_tx, stop_proxy_rx) = oneshot::channel ();
	debug_proxy::run_proxy (addr, "127.0.0.1:4000".to_string (), stop_proxy_rx).await
}
