#pragma once

#include <optional>
#include <stdint.h>
#include <string>
#include <vector>

namespace BareMinimumCrypto {
	using namespace std;
	
	typedef vector <uint8_t> Bytes;
	
	Bytes copy_to_bytes (const string & s);
	
	// Not sure why the Base64 lib fails to provide this API
	string base64_encode (const Bytes & v);
	optional <Bytes> base64_decode (const string & s);
	
	int test_base64 ();
}
