# Build artifact log

I'm trying to understand how the different dependencies like Tokio and Hyper
affect artifact size.

## 2021-01Jan-03

(I assume these were captured on x86_64)

Git commit 88e7839841ad812f5645a30503955511ac107bdd

Sizes:

- ptth_relay: 11 MB
- ptth_server: 14 MB
- ptth_relay gzipped: 3 MB
- ptth_server gzipped: 5 MB

Git commit 3d11d0eea561690cd1ce4e2c9225858b870ec8a5

Sizes:

- ptth_kv: 5.5M
- ptth_relay: 11M
- ptth_server: 14M

Gzipped sizes:

- ptth_kv: 1.6 MB
- ptth_relay: 3.3 MB
- ptth_server: 4.9 MB

## 2021-07Jul-11

Captured on x86_64

Git commit 6f45f5105e248ed812e7db964a8dbe93ac3a9d2b

On this one I switched to `rustls` and ditched `heim` so that I could get it
to compile on my Android phone.

- ptth_relay: 11 MB (3.4 MB gzipped)
- ptth_server: 15 MB (4.9 MB gzipped)

So not really a big difference. Which is surprising, because it now has the
equivalent of (the useful parts of OpenSSL) linked in.

Git commit e21ba78fa5b875a9f4eadcdf92883f97d1c5f5c5

ptth_server_gui: 15 MB (5.0 MB gzipped)

So the FLTK server GUI is only a little bigger than the CLI version.
